"use client";

import { useEffect } from "react";
import { usePathname, useRouter } from "next/navigation";

import { NavBar } from "./nav-bar";

export function NavBarWrapper() {
  const router = useRouter();
  const pathname = usePathname();

  useEffect(() => {
    if (pathname?.startsWith("/dashboard") || pathname?.startsWith("/admin")) {
      router.refresh();
    }
  }, [pathname, router]);

  return <NavBar />;
}
